com.amazonaws.services.codedeploy.model

## Class GetDeploymentConfigResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.codedeploy.model.GetDeploymentConfigResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class GetDeploymentConfigResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of a get deployment configuration operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GetDeploymentConfigResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GetDeploymentConfigResult` `clone()`
`boolean` `equals(Object obj)`
`DeploymentConfigInfo` `getDeploymentConfigInfo()` Information about the deployment configuration.
`int` `hashCode()`
`void` `setDeploymentConfigInfo(DeploymentConfigInfo deploymentConfigInfo)` Information about the deployment configuration.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetDeploymentConfigResult` `withDeploymentConfigInfo(DeploymentConfigInfo deploymentConfigInfo)` Information about the deployment configuration.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GetDeploymentConfigResult

    public GetDeploymentConfigResult()

### Method Detail

#### setDeploymentConfigInfo

    public void setDeploymentConfigInfo(DeploymentConfigInfo deploymentConfigInfo)

Information about the deployment configuration.

Parameters:
  `deploymentConfigInfo` - Information about the deployment configuration.

#### getDeploymentConfigInfo

    public DeploymentConfigInfo getDeploymentConfigInfo()

Information about the deployment configuration.

Returns:
  Information about the deployment configuration.

#### withDeploymentConfigInfo

    public GetDeploymentConfigResult withDeploymentConfigInfo(DeploymentConfigInfo deploymentConfigInfo)

Information about the deployment configuration.

Parameters:
  `deploymentConfigInfo` - Information about the deployment configuration.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public GetDeploymentConfigResult clone()

Overrides:
  `clone` in class `Object`